{
  config,
  lib,
  pkgs,
  inputs,
  ...
}:
let
  cfg = config.modules.stylix;
in
{
  options.modules.stylix = {
    enable = lib.mkEnableOption "stylix configuration module";
  };
  imports = [
    ./shared.nix
    inputs.stylix.nixosModules.stylix
  ];
  config = lib.mkIf cfg.enable {
    stylix.enable = true;
    stylix.autoEnable = false; # honestly, fuck stylix;
    # stylix.targets.tmux.enable = false;
  };

}
